<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Matrix4 Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#0d9aaf75aa94b65f4ec5fe1afb0cf4d1">_m</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#2570c4903858248e80bc6f34571c141a">adjoint</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#08a798c0d8c8290dbc0287ca6561f549">CLIPSPACE2DTOIMAGESPACE</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a61f91e4084cdc0adce4eb489a8f9898">concatenate</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#854210ca8faa1380f447e552c1d34191">concatenateAffine</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#7e14122cbf6856b9701142cb6580aaa1">determinant</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#7c32a3b5d7675181995e917f66c18b69">extract3x3Matrix</a>(Matrix3 &amp;m3x3) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#e66aaed3ab33c1f2a9862bc21dde0608">extractQuaternion</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#dfddc3e047c6052647ebfa5ddb3fbe13">getScale</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#5bac8a5777be6cf9af08c98de120d562">getScale</a>(Real s_x, Real s_y, Real s_z)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#928e9a44acf0f5a998392b272b117a4f">getTrans</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#88fb90dffc0216a0a59bf19fad4eeace">getTrans</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#3eedf9b0ea1245683a20f2e98ebd7e42">getTrans</a>(Real t_x, Real t_y, Real t_z)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#f2f61127dd1911c9ac2b4cbc0b4f3668">IDENTITY</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#8879acb17e3029cf8bc2796b29ed8470">inverse</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#48cec18b03b16a9161d1c95b493a38a4">inverseAffine</a>(void) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#582b20b912ed7d7f8f179505dfbe7a4e">isAffine</a>(void) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#949708616d61b1c520d04bd9b0577324">m</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#4e5949d1d1004070660f31036ee69523">makeInverseTransform</a>(const Vector3 &amp;position, const Vector3 &amp;scale, const Quaternion &amp;orientation)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#fb53c4fa6548001260d77dc283e3652f">makeTrans</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#87f478c5d19a10a371b736108e0b5e5f">makeTrans</a>(Real tx, Real ty, Real tz)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#283bf568c924a673a1467c428d4b969d">makeTransform</a>(const Vector3 &amp;position, const Vector3 &amp;scale, const Quaternion &amp;orientation)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#bde37761a7b38997925b6805f6494f72">Matrix4</a>()</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#91cac2ee0f0e8bd582c24db497afcd21">Matrix4</a>(Real m00, Real m01, Real m02, Real m03, Real m10, Real m11, Real m12, Real m13, Real m20, Real m21, Real m22, Real m23, Real m30, Real m31, Real m32, Real m33)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#8ae0763e439e87045b1ce46dca2c279c">Matrix4</a>(const Matrix3 &amp;m3x3)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#af7dc461a266459ab6916e7f97991969">Matrix4</a>(const Quaternion &amp;rot)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#0e1e208f7aa1283990d70ae7073ca439">operator *</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#c1de0742f69e162e1ffc3a1aa18c3343">operator *</a>(const Vector3 &amp;v) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#95d402f87f878b8924a769dad7385156">operator *</a>(const Vector4 &amp;v) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#d2374f86f6315aadbbe14ce743bc99e9">operator *</a>(const Plane &amp;p) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#1cbc315fd1f84a20c9a7d42e8f5db9da">operator *</a>(Real scalar) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#67d3ae14b6b68e6824f1a91d99da16f8">operator!=</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#c0c54ddc64f9b832ab2656f514060fbb">operator+</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#6c698c19379d5b4d2ff6e5dd186ad76c">operator-</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#2adb0cd285959c5d2ef1c2e32937d1eb">operator&lt;&lt;</a>(std::ostream &amp;o, const Matrix4 &amp;m)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#5c5f37c501d49692728909d11dd8c1de">operator=</a>(const Matrix3 &amp;mat3)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#5eb73fdc4084eed850221ed14f558ff2">operator==</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a996041c004dbfd5629120299ee0cb6f">operator[]</a>(size_t iRow)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#4d1282bf2eae1c961e7adc14f521c1af">operator[]</a>(size_t iRow) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#754a168ea4d55d40c9a24ef33eb41c95">setScale</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#af08a89733aa192a0d9e414e8b18ccf1">setTrans</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#fcd6dae51beb8283338ad52ac63c86fb">transformAffine</a>(const Vector3 &amp;v) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#30bacec4331db3d61f8a43a0d8596595">transformAffine</a>(const Vector4 &amp;v) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#e141496dd80a027493cfc0bea3952a4d">transpose</a>(void) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#838ac3cb744a01a39dfe35c61e942d7a">ZERO</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:33 2008
</p>
</body>
</html>
